import xml.etree.ElementTree as etree
import re
with open('ObamaGifts.xml', 'rb') as xml_file:
	tree = etree.parse(xml_file)

root = tree.getroot()
gifts =root.findall(".//GIFT")

wallet = list()

for gift in gifts:
	if "Obama" in gift[0].text:
		descrip = gift[1].text
		money = re.findall('\$[\d,]+', descrip)
		for item in money:
			wallet.append(item)
print (wallet)