import xml.etree.ElementTree as etree
import re
with open('ObamaGifts.xml', 'rb') as xml_file:
	tree = etree.parse(xml_file)

root = tree.getroot()
gifts =root.findall(".//GIFT")

wallet = list()

for gift in gifts: 
	if "Obama" in gift[0].text:
		descrip = gift[1].text
		#print (descrip)
		handbag = re.findall('\$[\d,]+', descrip)
		for item in handbag:
			money = item.replace("$", "")
			print (money)
			try:
				money = int(money)
			except:
				print ("Item is not an integer!")
			wallet.append(money)
try:
	print ("The total value of all gifts to Obama is "+str(sum(wallet)))
except:
	print ("Done, but one or more items were not converted to integers")