import xml.etree.ElementTree as etree
with open('ObamaGifts.xml', 'rb') as xml_file:
	tree = etree.parse(xml_file)

root = tree.getroot()
reasonlist = list() #create a 
reasons =root.findall(".//REASON")#use findall() and XPath to select all (//) elements that are under the current node (. , in this case the root) that have the GIFT tag and put them in a list 

for reason in reasons: #for every gift element that is in the gifts list, do the following
	nitpicking = reason.text
	if nitpicking in reasonlist: continue
	reasonlist.append(nitpicking)
print (reasonlist)
print ("The actual, computationally correct number of reasons is  "+str(len(reasonlist)))