import xml.etree.ElementTree as etree
import re
with open('ObamaGifts.xml', 'rb') as xml_file:
	tree = etree.parse(xml_file)

root = tree.getroot()
gifts =root.findall(".//GIFT")

valuelist = list()

for gift in gifts: 
	if "Obama" in gift[0].text:
		descrip = gift[1].text
		#print (descrip)
		handbag = re.findall('\$[\d,]+', descrip)
		for item in handbag:
			money = item.replace("$", "").replace(",", "")
			xmlval = etree.SubElement(gift, 'VALUE')
			xmlval.text = money
mydata = etree.tostring(root)
with open('ObamaGifts2.xml', 'wb') as xml_file:
	xml_file.write(mydata)